SDL_OpenJoystick(3)

NAME
SDL_OpenJoystick - Open a joystick for use.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

SDL_Joystick * SDL_OpenJoystick(SDL_JoystickID instance_id);

DESCRIPTION
The joystick subsystem must be initialized before a joystick can be opened for use.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns a joystick identifier or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CloseJoystick(3)